function displayIndexes(Theta , Std_Theta , dataM , intersection_interval_UP , intersection_interval_DWN , interval_UP , interval_DWN , DIMENSION_TO_PLOT , TEST_TO_PLOT , figureNumber , LINE_WIDTH_BOLD , LINE_WIDTH_NORMAL , titleStr)
%
% function displayIndexes(Theta , Std_Theta , dataM , intersection_interval_UP , intersection_interval_DWN , interval_UP , interval_DWN , DIMENSION_TO_PLOT , TEST_TO_PLOT , figureNumber , LINE_WIDTH_BOLD , LINE_WIDTH_NORMAL , titleStr)
%
% plots ICI change detection test status
%
%
% Giacomo Boracchi
% Politecnico di Milano
% January 2010
% giacomo.boracchi@polimi.it
%

theta = Theta(DIMENSION_TO_PLOT , : , TEST_TO_PLOT);
std_theta = Std_Theta(DIMENSION_TO_PLOT , : , TEST_TO_PLOT);
intersection_up = intersection_interval_UP(DIMENSION_TO_PLOT , : , TEST_TO_PLOT);
intersection_dwn = intersection_interval_DWN(DIMENSION_TO_PLOT , : , TEST_TO_PLOT);
intersection_up_before = intersection_interval_UP(DIMENSION_TO_PLOT , 1:end-1 , TEST_TO_PLOT);
intersection_dwn_before = intersection_interval_DWN(DIMENSION_TO_PLOT , 1:end-1 , TEST_TO_PLOT);
interval_up = interval_UP(DIMENSION_TO_PLOT , : , TEST_TO_PLOT);
interval_dwn = interval_DWN(DIMENSION_TO_PLOT , : , TEST_TO_PLOT);

figure(figureNumber), 
plot(theta , 'b-' , 'LineWidth' , LINE_WIDTH_BOLD)
hold on, 
plot(intersection_up_before , 'k+' , 'LineWidth' , LINE_WIDTH_BOLD)
plot(intersection_up , 'r-' , 'LineWidth' , LINE_WIDTH_NORMAL)
plot(interval_up , 'mo' , 'LineWidth' , LINE_WIDTH_BOLD)
legend('current estimate' , 'ICI before' , 'ICI current' , 'interval estimate')
plot(intersection_dwn_before , 'k+' , 'LineWidth' , LINE_WIDTH_BOLD)
plot(intersection_dwn , 'r-' , 'LineWidth' , LINE_WIDTH_NORMAL)
plot(interval_dwn , 'mo' , 'LineWidth' , LINE_WIDTH_BOLD)

if (~isnan(dataM))
plot(dataM(1:end) , 'r.'),
end

hold off
title(titleStr);

disp(['current Estimate: ' , num2str(theta(end))]);
disp(['current Estimate std: ' , num2str(std_theta(end))]);
disp(['confidence interval estimate (' , num2str(intersection_up(end)) , ' , ' , num2str(intersection_dwn(end)) , ')'])
disp(['previous intersection of conficence Interval (' , num2str(intersection_up_before(end)) , ' , ' , num2str(intersection_dwn_before(end)) , ')'])
disp(['intersection of conficence Interval (' , num2str(intersection_up(end)) , ' , ' , num2str(intersection_dwn(end)) , ')'])


